SYSTEMD-NETWORKD-WAIT-ONLINE.SERVICE(8)

BEZEICHNUNG
systemd-networkd-wait-online.service, systemd-networkd-wait-online - auf den Online-Zustand des Netzwerks warten

ÜBERSICHT

systemd-networkd-wait-online.service

/lib/systemd/systemd-networkd-wait-online

BESCHREIBUNG

Systemd-networkd-wait-online ist ein einmalig ausgeführter Systemdienst, der darauf wartet, dass das Netzwerk eingerichtet wird. In der Voreinstellung werden alle Netzwerkschnittstellen berücksichtigt, die Systemd-networkd.service(8) bekannt sind und davon verwaltet werden. Maßgebend ist hierbei die vollständige Einrichtung der Verbindung oder deren Fehlschlag, beziehungsweise mindestens eine verfügbare Leitung.

OPTIONEN

Die folgenden Optionen werden verstanden:

-i, --interface=
    bezeichnet eine bestimmte Netzwerkschnittstelle, die verbunden sein muss, damit das System als verbunden angesehen wird. Dies ist sinnvoll, wenn das System über mehrere einzurichtende Netzwerkschnittstellen verfügt, aber eine bestimmte Schnittstelle für den Zugriff auf Netzwerkressourcen erforderlich ist. Wenn diese Option verwendet wird, dann werden alle anderen Schnittstellen ignoriert.

--ignore=
    gibt Netzwerkschnittstellen an, die bei der Feststellung, dass das System online ist, ignoriert werden. In der Voreinstellung wird lediglich die Loopback-Schnittstelle ignoriert. Wenn mehrere Netzwerkschnittstellen ignoriert werden sollen, kann diese Option mehrfach angegeben werden.

--timeout=
    lässt den Dienst fehlschlagen, wenn das Netzwerk nicht innerhalb der hier angegebenen Zeit online ist. Wird als Wert 0 angegeben, wird die Zeitüberschreitung dadurch deaktiviert. In der Voreinstellung werden 120 Sekunden angenommen.

SIEHE AUCH

systemd(1), systemd-networkd.service(8)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.